1. Customers
Onebear
  • One Bear Public API
    • Webhooks
    • Getting started
    • Customers
      • List customers
        GET
      • Create a customer
        POST
      • Get a customer
        GET
      • Update a customer
        PUT
    • Messages
      • List messages in a room
      • Get a message
    • Orders
      • List orders
      • Get an order
    • Products
      • List products
      • Get a product
    • Rooms
      • List rooms
      • Get a room
    • Schemas
      • CreateCustomerRequest
      • CustomerAddress
      • CustomerContactPerson
      • UpdateCustomerRequest
  • Live Chat Widget
    • Live Chat Widget - Setup & Integration Guide
    • OneBear Live Chat Widget — คู่มือตั้งค่าและการผสานระบบ
  • API Channel
    • API Channel - Setup & API Reference
    • OneBear API Channel — คู่มือตั้งค่าและ API Reference
  1. Customers

Update a customer

PUT
/api/v1/companies/{companyId}/customers/{customerId}
Requires customers:write. Send only the fields you want to change.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params
application/json

Examples

Responses

🟢200
OK
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://app.onebear.ai/api/v1/companies//customers/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "customerType": "string",
    "status": "string",
    "email": "string",
    "phone": "string",
    "avatar": "string",
    "nationalId": "string",
    "taxId": "string",
    "addresses": [
        {
            "id": "string",
            "label": "string",
            "address": "string",
            "subDistrict": "string",
            "district": "string",
            "province": "string",
            "postalCode": "string",
            "country": "string",
            "isDefault": true,
            "note": "string"
        }
    ],
    "contactPersons": [
        {
            "id": "string",
            "name": "string",
            "role": "string",
            "phone": "string",
            "email": "string"
        }
    ],
    "customFieldValues": {
        "property1": "string",
        "property2": "string"
    },
    "interests": [
        "string"
    ],
    "source": "string",
    "channelIntegrationIds": [
        "string"
    ]
}'
Modified at 2026-09-16 07:13:47
Previous
Get a customer
Next
List messages in a room
Built with